diff --git a/src/include/pg_config.h.in b/src/include/pg_config.h.in
index 55cab4d2bf..3c1c515d3c 100644
--- a/src/include/pg_config.h.in
+++ b/src/include/pg_config.h.in
@@ -899,7 +899,7 @@
 /* Define to select named POSIX semaphores. */
 #undef USE_NAMED_POSIX_SEMAPHORES
 
-/* Define to build with OpenSSL support. (--with-ssl=openssl) */
+/* Define to 1 to build with OpenSSL support. (--with-ssl=openssl). */
 #undef USE_OPENSSL
 
 /* Define to 1 to build with PAM support. (--with-pam) */
diff --git a/configure.ac b/configure.ac
index 07da84d401..9a7d836ead 100644
--- a/configure.ac
+++ b/configure.ac
@@ -1234,7 +1234,7 @@ if test "$with_ssl" = openssl ; then
   # thread-safety. In 1.1.0, it's no longer required, and CRYPTO_lock()
   # function was removed.
   AC_CHECK_FUNCS([CRYPTO_lock])
-  AC_DEFINE([USE_OPENSSL], 1, [Define to 1 if you have OpenSSL support.])
+  AC_DEFINE([USE_OPENSSL], 1, [Define to 1 to build with OpenSSL support. (--with-ssl=openssl).])
 elif test "$with_ssl" != no ; then
   AC_MSG_ERROR([--with-ssl must specify openssl])
 fi
